Safe Haskell | Safe-Inferred
Language | Haskell2010

Bug923

Synopsis

- data T (a :: Type -> (Type, Type)) where
  - T :: forall a1. a1 -> T ('(,) a1 :: Type -> (Type, Type))

# Documentation

data T (a :: Type -> (Type, Type)) where #

A promoted tuple type

Constructors

T :: forall a1. a1 -> T ('(,) a1 :: Type -> (Type, Type)) |

#### Instances

Instances details

Eq a => Eq (T ('(,) a :: Type -> (Type, Type))) # | A promoted tuple type in an instance
Instance details Defined in Bug923 Methods (==) :: T ('(,) a :: Type -> (Type, Type)) -> T ('(,) a :: Type -> (Type, Type)) -> Bool # (/=) :: T ('(,) a :: Type -> (Type, Type)) -> T ('(,) a :: Type -> (Type, Type)) -> Bool #